# Sign the request first — see Authentication for x-timestamp, x-nonce and x-signature
curl "https://api.sbx.hopnow.io/va/v1/accounts/acct_3mnq7c1e6a2b4f3c9b8d2e5a/beneficiaries/bene_5tql9z7a3b9c1e5f2d4g6h8j/payment-destinations/dest_8kpw2x7a3b9c1e5f2d4g6h8j" \
-H "x-api-key: $API_KEY" \
-H "x-timestamp: $TIMESTAMP" \
-H "x-nonce: $NONCE" \
-H "x-signature: $SIGNATURE"
{
"object": "payment_destination",
"id": "dest_8kpw2x7a3b9c1e5f2d4g6h8j",
"beneficiary_id": "bene_5tql9z7a3b9c1e5f2d4g6h8j",
"country": "GB",
"payment_method": "wire",
"type": "bank_account",
"label": "Globex GBP",
"currency": "GBP",
"status": "active",
"account_name": "Globex Limited",
"payment_methods": ["wire"],
"account_number_last4": "****6819",
"clabe_last4": null,
"iban_masked": "GB29****6819",
"pix_key_masked": null,
"is_default": true,
"created": "2026-05-01T10:05:00Z",
"updated": null,
"created_by": "ak_x7k2m9p4q1w8e5r3t6y0u2i4",
"updated_by": null
}
Payment Destinations
Get Payment Destination
Fetch a single payment destination with masked account fields
GET
/
va
/
v1
/
accounts
/
{account_id}
/
beneficiaries
/
{beneficiary_id}
/
payment-destinations
/
{destination_id}
# Sign the request first — see Authentication for x-timestamp, x-nonce and x-signature
curl "https://api.sbx.hopnow.io/va/v1/accounts/acct_3mnq7c1e6a2b4f3c9b8d2e5a/beneficiaries/bene_5tql9z7a3b9c1e5f2d4g6h8j/payment-destinations/dest_8kpw2x7a3b9c1e5f2d4g6h8j" \
-H "x-api-key: $API_KEY" \
-H "x-timestamp: $TIMESTAMP" \
-H "x-nonce: $NONCE" \
-H "x-signature: $SIGNATURE"
{
"object": "payment_destination",
"id": "dest_8kpw2x7a3b9c1e5f2d4g6h8j",
"beneficiary_id": "bene_5tql9z7a3b9c1e5f2d4g6h8j",
"country": "GB",
"payment_method": "wire",
"type": "bank_account",
"label": "Globex GBP",
"currency": "GBP",
"status": "active",
"account_name": "Globex Limited",
"payment_methods": ["wire"],
"account_number_last4": "****6819",
"clabe_last4": null,
"iban_masked": "GB29****6819",
"pix_key_masked": null,
"is_default": true,
"created": "2026-05-01T10:05:00Z",
"updated": null,
"created_by": "ak_x7k2m9p4q1w8e5r3t6y0u2i4",
"updated_by": null
}
Fetches a single payment destination with masked account fields. No request body.
The response also echoes
Path Parameters
string
required
Id of the parent account (e.g.
acct_...).string
required
Id of the parent beneficiary (e.g.
bene_...).string
required
Destination id (e.g.
dest_…).Response
Returns the fullpayment_destination object. Account identifiers are always masked.
string
Destination id (e.g.
dest_…).string
Parent beneficiary id.
enum
Always
bank_account.enum
active, pending, or disabled.enum | null
Primary payment method:
wire, ach, fedwire, spei, pix, manual.array
All supported payment methods (defaults to
[]).string | null
Masked account number, e.g.
****7890.string | null
Masked CLABE (Mexico).
string | null
Masked IBAN, e.g.
GB29****6819.string | null
Masked PIX key (Brazil).
boolean
Whether this is the beneficiary’s default destination.
country, currency, label, account_name, swift_code, routing_number, bank_name, bank_address, the correspondent-bank fields, account_holder, and the standard envelope fields (object, created, updated, created_by, updated_by).
# Sign the request first — see Authentication for x-timestamp, x-nonce and x-signature
curl "https://api.sbx.hopnow.io/va/v1/accounts/acct_3mnq7c1e6a2b4f3c9b8d2e5a/beneficiaries/bene_5tql9z7a3b9c1e5f2d4g6h8j/payment-destinations/dest_8kpw2x7a3b9c1e5f2d4g6h8j" \
-H "x-api-key: $API_KEY" \
-H "x-timestamp: $TIMESTAMP" \
-H "x-nonce: $NONCE" \
-H "x-signature: $SIGNATURE"
{
"object": "payment_destination",
"id": "dest_8kpw2x7a3b9c1e5f2d4g6h8j",
"beneficiary_id": "bene_5tql9z7a3b9c1e5f2d4g6h8j",
"country": "GB",
"payment_method": "wire",
"type": "bank_account",
"label": "Globex GBP",
"currency": "GBP",
"status": "active",
"account_name": "Globex Limited",
"payment_methods": ["wire"],
"account_number_last4": "****6819",
"clabe_last4": null,
"iban_masked": "GB29****6819",
"pix_key_masked": null,
"is_default": true,
"created": "2026-05-01T10:05:00Z",
"updated": null,
"created_by": "ak_x7k2m9p4q1w8e5r3t6y0u2i4",
"updated_by": null
}